Subject: [Wocky] Adium X 0.89 connection fix deployed

From: Greg Hudson <[email-masked]>
Date: Fri, 21 Apr 2006 03:38:55 -0400

Tonight, Mark deployed a workaround I coded up to allow Adium X 0.89
clients to reliably connect to our Jabber server.

Unfortunately, there was a bug in my code, and the server became
unstable for a couple of hours as a result.  I was able to identify
and fix the bug in fairly short order, and Mark deployed the fix
promptly, so all is believed to be well now.

Lessons from this incident:

  * This looked like an operational issue at first, but was actually a
    client software issue.  Even if "nothing has changed" on the
    client between working and non-working, we should look for
    patterns which indicate a client issue.

  * Auto-updates from outside MIT without MIT-internal testing can be
    dangerous.

  * When Jabber is a production service, we'll need more comprehensive
    testing before we deploy server changes.